REGFI_SK Struct Reference
Base Layer: Essential Functions and Data Structures

Security structure. More...

Collaboration diagram for REGFI_SK:
[legend]

## Data Fields

uint32_t | offset
| Real file offset of this record.
uint32_t | cell_size
| ((start_offset - end_offset) & 0xfffffff8)
WINSEC_DESC * | sec_desc
| The stored Windows security descriptor for this SK record.
uint32_t | hbin_off
| Offset of this record from beginning of this hbin block.
uint32_t | prev_sk_off
| Offset of the previous SK record in the linked list of SK records.
uint32_t | next_sk_off
| Offset of the next SK record in the linked list of SK records.
uint32_t | ref_count
| Number of keys referencing this SK record.
uint32_t | desc_size
| Size of security descriptor (sec_desc)
uint8_t | magic [REGFI_CELL_MAGIC_SIZE]
| The magic number for this record (should be "sk")

## Detailed Description

Security structure.

The documentation for this struct was generated from the following file:

- regfi.h